"""@package formzPythonInterface
"""


class tag:
    """tag
	
	"""


class xy:
    """xy
	
	"""
    x = 0.0
    """X value
	"""

    y = 0.0
    """Y value
	"""


class xyz:
    """xyz
	
	"""
    x = 0.0
    """X value
	"""

    y = 0.0
    """Y value
	"""

    z = 0.0
    """Z value
	"""


class xyzw:
    """xyzw
	
	"""

    x = 0.0
    """X value
	"""

    y = 0.0
    """Y value
	"""

    z = 0.0
    """Z value
	"""

    w = 0.0
    """W value
	"""


class mat4x4:
    """mat
	
	"""

    def getIdentity(self):
        # type: () -> bool
        """Tests if the Matrix the Identity matrix
		
		Returns:
			bool: True if successful, False otherwise
		
		Examples:
		
		"""
        pass

    def setIdentity(self):
        # type: () -> int
        """Sets the Matrix to the Identity matrix
		
		Returns:
			int: 0 on success, error code on failure.
		
		Examples:
		
		"""
        pass


class mat3x3:
    """mat3x3
	
	"""


class project:
    """Project
	
	"""

    def getName(self):
        # type: () -> str
        """Gets the project name

		Returns:
			str: project name
		
		Examples:
		
		"""
        pass

    def setName(self, name):
        # type: (str) -> int
        """Sets the project name
		
		Args:
			name (`str`): The new name for the project.
		
		Returns:
			int: 0 on success, error code on failure.
		
		Examples:
		
		"""
        pass

    def getPath(self):
        # type: () -> str
        """Gets the project path
		
		Returns:
			str: project path
		
		Examples:

		"""
        pass

    def setPath(self, path):
        # type: (str) -> int
        """Sets the project path
		
		Args:
			path (`str`): The new path for the project.
		
		Returns:
			int: 0 on success, error code on failure.
		
		Examples:
		
		"""
        pass

    def getFullPath(self):
        # type: () -> str
        """Gets the full project path

		Returns:
			str: project path
		
		Examples:
		
		"""
        pass

    def setFullPath(self, fullPath):
        # type: (str) -> int
        """Sets the project name
		
		Args:
			fullPath (`str`): The new path for the project.
		
		Returns:
			int: 0 on success, error code on failure.
		
		Examples:
		
		"""
        pass

    def getUuid(self):
        # type: () -> str
        """gets the project unique identifier (UUID)
		
		Returns:
			str: UUID string
		
		Examples:
		
		"""
        pass

    def getPrevious(self):
        # type: () -> project
        """Gets the previous project. Projects are in a closed double linked list.
		
		Returns:
			project: Project reference successful, nil otherwise
		
		Examples:
		
		"""
        pass

    def getNext(self):
        # type: () -> project
        """Gets the next project. Projects are in a closed double linked list.
		
		Returns:
			project: Project reference successful, nil otherwise
		
		Examples:
		
		"""
        pass

    def save(self):
        # type: () -> int
        """Saves the project to storage.
		
		Returns:
			int: 0 on success, error code on failure.
		
		Examples:
		
		"""
        pass

    def revert(self):
        # type: () -> int
        """Reverts the project to previous stored version
		
		Returns:
			int: 0 on success, error code on failure.
		
		Examples:
		
		"""
        pass

    def clear(self):
        # type: () -> int
        """Clears all data from the project
		
		Returns:
			int: 0 on success, error code on failure.
		
		Examples:
		
		"""
        pass

    def getWindowList(self):
        # type: () -> list
        """Gets the list of windows for the project
		
		Returns:
			project: Project reference successful, nil otherwise
		
		Examples:
		
		"""
        pass


class window:
    """Window Class
	
	"""

    def setRenderer(self, renderer):
        # type: (str) -> int
        """Gets the project name
		
		Args:
			renderer (`str`): The name of teh renderer.
		
		Returns:
			int: 0 on success, error code on failure.
		
		Examples:
		project
		"""
        pass

    def render(self):
        # type: () -> int
        """Renders the window

		Returns:
			int: 0 on success, error code on failure.
		
		Examples:

		"""
        pass

    def export(self, format, name, path, fullPath, keepExisting):
        """Exports the window
		
		Args:

		Returns:
		
		Examples:
		
		"""
        pass


class face:
    """formZ Object face
	
	"""

    def previous(self):
        # type: () -> face
        """Gets previous face in the object.

		Returns:
			face: previous face.
		
		Examples:
		
		"""
        pass

    def next(self):
        # type: () -> face
        """Gets next face in the object.
		
		Returns:
			face: previous face.
		
		Examples:
		
		"""
        pass

    def loop(self):
        # type: () -> loop
        """Gets the first (outter) loop of the face
		
		Returns:
			loop: first loop.
		
		Examples:
		
		"""
        pass

    def object(self):
        # type: () -> object
        """Gets the object the face belongs to
		
		Returns:
			object: the owning object.
		
		Examples:
		
		"""
        pass

    def area(self):
        # type: () -> float
        """Gets surface area of the face
		
		Returns:
			float: surface area
		
		Examples:
			a = myFace.area();
		"""
        pass

    def circumference(self):
        # type: () -> float
        """Gets circumference of the face.

		Returns:
			float: the circumference.

		Examples:
			c = myFace.circumference();
		"""
        pass

    def centerOfGravity(self):
        # type: () -> xyz
        """Gets center of gravity of the face

		Returns:
			xyz: center of gravity

		Examples:
			cog = myFace.centerOfGravity();
		"""
        pass

    def normal(self):
        # type: () -> xyz
        """Gets face normal

		Returns:
			xyz: face normal

		Examples:

		"""
        pass

    def type(self):
        # type: () -> str['point',"line, plane, sphere, cylinder, cone, torus, spline, subdivision"]
        """Gets type of the face

		Returns:
			str: type of the face ["point, line, plane, sphere, cylinder, cone, torus, spline, subdivision"]
		
		Examples:
		
		"""
        pass

    def getPicked(self):
        # type: () -> bool
        """Checks if the face is picked in the UI.
		
		Returns:
			bool: True if picked, False otherwise
		
		Examples:
		
		"""
        pass

    def setPicked(self, picked):
        # type: (bool) -> int
        """Sets the face as picked in the UI
		
		Args:
			picked (bool): True to pick, False otherwise.
		
		Returns:
			int: 0 on success, error code on failure.
		
		Examples:
		
		"""
        pass


# loop class


class loop:
    """formZ Object loop
	
	"""

    def previous(self):
        # type: () -> loop
        """Gets previous loop in the face.

		Returns:
			loop: previous loop.

		Examples:

		"""
        pass

    def next(self):
        # type: () -> loop
        """Gets next loop in the face.

		Returns:
			loop: previous loop.

		Examples:

		"""
        pass

    def edge(self):
        # type: () -> edge
        """Gets the loops first edge
		
		Returns:
			edge: first edge
		
		Examples:
		
		"""
        pass

    def face(self):
        # type: () -> face
        """Gets the face the loop belongs to.
		
		Returns:
			face: face the loop belongs to.
		
		Examples:
		
		"""
        pass

    def object(self):
        # type: () -> object
        """Gets the object the loop belongs to

		Returns:
			object: the owning object.

		Examples:

		"""
        pass

    def circumference(self):
        # type: () -> float
        """Gets circumference of the loop.

		Returns:
			float: circumference

		Examples:
			c = myFace.circumference();
		"""
        pass

    def closed(self):
        # type: () -> bool
        """True if the loop is closed, False if the loop is open.
		
		Returns:
			bool: True if closed, False otherwise.
		
		Examples:
		
		"""
        pass

    def getPicked(self):
        # type: () -> bool
        """Checks if the loop is picked in the UI.

		Returns:
			bool: True if picked, False otherwise

		Examples:

		"""
        pass

    def setPicked(self, picked):
        # type: (bool) -> int
        """Sets the loop as picked in the UI

		Args:
			picked (bool): True to pick, False otherwise.

		Returns:
			int: 0 on success, error code on failure.

		Examples:

		"""
        pass


class edge:
    """formZ Object edge
	
	"""

    def previous(self):
        # type: () -> edge
        """Gets previous edge in the loop.

		Returns:
			edge: previous edge.

		Examples:

		"""
        pass

    def next(self):
        # type: () -> edge
        """Gets next edge in the loop.

		Returns:
			edge: next edge.

		Examples:

		"""
        pass

    def vertex1(self):
        # type: () -> xyz
        """Gets the  start (first) vertex of the edge.

		Returns:
			xyz: start vertex.

		Examples:

		"""
        pass

    def vertex2(self):
        # type: () -> xyz
        """Gets the end (second, last) vertex of the edge.

		Returns:
			xyz: end vertex.

		Examples:

		"""
        pass

    def adjacent(self):
        # type: () -> edge
        """Gets adjacent edge. This is the edge of the adjacent loop, or nil for an open edge.

		Returns:
			edge: adjacent edge.

		Examples:

		"""
        pass

    def loop(self):
        # type: () -> loop
        """Gets loop the edge belongs to.

		Returns:
			loop: owning loop.

		Examples:

		"""
        pass

    def object(self):
        # type: () -> object
        """Gets the object the edge belongs to

		Returns:
			object: the owning object.

		Examples:

		"""
        pass

    def length(self):
        # type: () -> float
        """Gets length of the edge.

		Returns:
            float: edge length

        Examples:
            length = myEdge.length();
        """
        pass

    def type(self):
        # type: () -> str["point, line, arc, spline"]
        """Gets type of the edge.

        Returns:
            str: edge type ["point, line, arc, spline"]

        Examples:
        """
        pass

    def getPicked(self):
        # type: () -> bool
        """Checks if the edge is picked in the UI.

		Returns:
			bool: True if picked, False otherwise

		Examples:

		"""
        pass

    def setPicked(self, picked):
        # type: (bool) -> int
        """Sets the edge as picked in the UI

		Args:
			picked (bool): True to pick, False otherwise.

		Returns:
			int: 0 on success, error code on failure.

		Examples:

		"""
        pass


class vertex:
    """formZ Object vertex
	
	"""

    def xyz(self):
        # type: () -> xyz
        """Gets the xyz cartesian coordinates of the vertex
		
		Returns:
			xyz: coordinates of the vertex
		
		Examples:
		
		"""
        pass

    def edgeList(self):
        # type: () -> edge[...]
        """Gets the list of edges that reference this vertex

		Returns:
			edge[]: list of edges
		
		Examples:
		
		"""
        pass

    def object(self):
        # type: () -> object
        """Gets the object the vertex belongs to

		Returns:
			object: the owning object.

		Examples:

		"""
        pass

    def getPicked(self):
        # type: () -> bool
        """Checks if the vertex is picked in the UI.

		Returns:
			bool: True if picked, False otherwise

		Examples:

		"""
        pass

    def setPicked(self, picked):
        # type: (bool) -> int
        """Sets the vertex as picked in the UI

		Args:
			picked (bool): True to pick, False otherwise.

		Returns:
			int: 0 on success, error code on failure.

		Examples:

		"""
        pass


class object:
    """formZ Model Object
	
	"""

    def getName(self):
        # type: () -> str
        """Gets the object name
		
		Returns:
			str: name
		
		Examples:
		
		"""
        pass

    def setName(self, name):
        # type: (str) -> int
        """Sets the object name
		
		Args:
			name (`str`): The new name.
		
		Returns:
			int: 0 on success, error code on failure.
		
		Examples:
		
		"""
        pass

    def getLayer(self):
        # type: () -> layer
        """Gets the object's layer.
		
		Returns:
			layer: reference to layer
		
		Examples:
		
		"""
        pass

    def setLayer(self, layer):
        # type: (str) -> layer
        """Sets the object layer
		
		Args:
			layer (layer): The new layer for the object.
		
		Returns:
			int: 0 on success, error code on failure.
		
		Examples:
		
		"""
        pass

    def getVisible(self):
        # type: () -> int
        """Gets the object visibility (0 off, 1 visible, 2 ghosted)
		
		Returns:
			int: visibility state.
		
		Examples:
		
		"""
        pass

    def setVisible(self, visibility):
        # type: (int) -> int
        """Sets the object visibility (0 off, 1 visible, 2 ghosted)
		
		Args:
			visibility (int): The new visibility state.
		
		Returns:
			int: 0 on success, error code on failure.
		
		Examples:
		
		"""
        pass

    def getPicked(self):
        # type: () -> bool
        """Checks if the object is picked in the UI.

		Returns:
			bool: True if picked, False otherwise

		Examples:

		"""
        pass

    def setPicked(self, picked):
        # type: (bool) -> int
        """Sets the object as picked in the UI

		Args:
			picked (bool): True to pick, False otherwise.

		Returns:
			int: 0 on success, error code on failure.

		Examples:

		"""
        pass

    def getLock(self):
        # type: () -> int
        """Gets the object lock state (0 unlocked, 1 locked)

		Returns:
			int: lock state.
		
		Examples:
		
		"""
        pass

    def setLock(self, lock):
        # type: (int) -> int
        """Sets the object lock state (0 unlocked, 1 locked)

		Args:
			lock (int): The new lock state.

		Returns:
			int: 0 on success, error code on failure.
		
		Examples:
		
		"""
        pass

    def getSnap(self):
        # type: () -> int
        """Gets the object snappable state (0 not-snapable, 1 snapable)

		Returns:
			int: snappable state.
		
		Examples:
		
		"""
        pass

    def setSnap(self, snapable):
        # type: (int) -> int
        """Sets the object snapable state (0 not-snapable, 1 snapable)

		Args:
			snapable (int): The new snapable state.

		Returns:
			int: 0 on success, error code on failure.

		Examples:

		"""
        pass

    def getShadowCast(self):
        # type: () -> int
        """Gets the object shadow cast state (0 not-cast, 1 cast)

		Returns:
			int: shadow cast state.
		
		Examples:
		
		"""
        pass

    def setShadowCast(self, cast):
        # type: (int) -> int
        """Sets the object shadow cast state (0 not-cast, 1 cast)

		Args:
			cast (int): The new shadow cast state.

		Returns:
			int: 0 on success, error code on failure.

		Examples:

		"""
        pass

    def getShadowRecieve(self):
        # type: () -> int
        """Gets the object shadow receive state (0 not-receive, 1 receive)

		Returns:
			int: shadow receive state.
		
		Examples:
		
		"""
        pass

    def setShadowRecieve(self):
        # type: (int) -> int
        """Sets the object shadow receive state (0 not-receive, 1 receive)

		Args:
			cast (int): The new shadow receive state.

		Returns:
			int: 0 on success, error code on failure.
		
		Examples:
		
		"""
        pass

    def getRenderEdges(self):
        # type: () -> int
        """Gets the render edge state (0 not-render, 1 render)

		Returns:
			int: render edge state.
		
		Examples:
		
		"""
        pass

    def setRenderEdges(self):
        # type: (int) -> int
        """Sets the object render edge state (0 not-render, 1 render)

		Args:
			cast (int): The render edge state.

		Returns:
			int: 0 on success, error code on failure.
		
		Examples:
		
		"""
        pass

    def getRenderSurface(self):
        # type: () -> int
        """Gets the render surface state (0 not-render, 1 render)

		Returns:
			int: render surface state.
		
		Examples:
		
		"""
        pass

    def setRenderSurface(self, render):
        # type: (int) -> int
        """Sets the object render surface state (0 not-render, 1 render)

		Args:
			render (int): The new render surface state.

		Returns:
			int: 0 on success, error code on failure.

		Examples:

		"""
        pass

    def getMaterial(self):
        # type: () -> material
        """Gets a reference to the objects material

		Returns:
			material: material reference
		
		Examples:
		
		"""
        pass

    def setMaterial(self, material):
        # type: (material) -> int
        """Sets the objects material
		
		Args:
			material (material): The New material for the object.
		
		Returns:
			int: 0 on success, error code on failure.
		
		Examples:
		
		"""
        pass

    def copy(self, name, temp):
        # type: (str, bool) -> obejct
        """Creates a copy of the object (in the same project).
		
		Args:
			name (`str`, optional): Name for the copy.
			temp (bool, optional): True for temp working object not displayed to user, else false.

		Returns:
			obejct: New object, else nil
		
		Examples:
		
		"""
        pass

    def move(self, translation):
        # type: (xyz) -> int
        """Move (translate) the object by an x,y,z distance.
		
		Args:
			translation (xyz): The world cartesian xyz distance to move the object by.
		
		Returns:
			int: 0 on success, error code on failure.
		
		Examples:
		
		"""
        pass

    def moveTo(self, translation):
        # type: (xyz) -> int
        """Move (translate) the object to a world x,y,z location.

		Args:
			translation (xyz): The cartesian xyz location to move the object to.

		Returns:
			int: 0 on success, error code on failure.
		
		Examples:
		
		"""
        pass

    def moveLocal(self, translation):
        # type: (xyz) -> int
        """Move (translate) the object relative to its local coordinate system.

		Args:
			translation (xyz): The cartesian xyz distance to move the object.

		Returns:
			int: 0 on success, error code on failure.
		
		Examples:
		
		"""
        pass

    def rotate(self, angle, origin, axis):
        # type: (float, xyz, int) -> int
        """Rotates the object by an angle about an optional origin and axis.

		Args:
			angle (float): The rotation angle.
			origin (xyz, optional): The origin point. Defaults to world origin(0.0, 0,0, 0.0) if not provided.
			axis (int, optional): The axis of rotation (0 = X, 1 = y, 2 = Z). Defaults to Z if not provided.

		Returns:
			int: 0 on success, error code on failure.
		
		Examples:
			myObject.rotate(90.0)
			myObject.rotate(180.0,axis=0)
		"""
        pass

    def rotateLocal(self, angle, axis):
        # type: (float, int) -> int
        """Rotates the object by an angle about its local coordinates and axis.

		Args:
			angle (float): The rotation angle.
			axis (int, optional): The axis of rotation (0 = X, 1 = y, 2 = Z). Defaults to Z if not provided.

		Returns:
			int: 0 on success, error code on failure.

		Examples:
			myObject.rotateLocal(90.0)
			myObject.rotateLocal(180.0,axis=0)
		"""
        pass

    def scale(self, scale, origin):
        # type: (xyz, xyz) -> int
        """Scales the object about an optional origin.

		Args:
			scale (float): The xyz scale values.
			origin (xyz, optional): The origin point. Defaults to world origin(0.0, 0,0, 0.0) if not provided.

		Returns:
			int: 0 on success, error code on failure.

		Examples:
			myObject.scale([2.0,2.0,1.0])
			xyz.x = 2.0;
			xyz.y = 2.0;
			xyz.z = 1.0;
			myObject.scale(xyz)
		"""
        pass

    def scaleLocal(self, scale):
        # type: (xyz) -> int
        """Scales the object about its local coordinate system.

		Args:
			scale (float): The xyz scale values.

		Returns:
			int: 0 on success, error code on failure.

		Examples:
			myObject.scaleLocal([2.0,2.0,1.0])
			xyz.x = 2.0;
			xyz.y = 2.0;
			xyz.z = 1.0;
			myObject.scaleLocal(xyz)
		"""
        pass

    def transform(self, transform):
        # type: (mat4x4) -> int
        """transforms the object by a matrix
		
		Args:
			transform (mat4x4): The transform matrix.
		
		Returns:
			int: 0 on success, error code on failure.
		
		Examples:
		
		"""
        pass

    def transformLocal(self, transform):
        # type: (mat4x4) -> int
        """transforms the object by a matrix relative to its local coordinate system

		Args:
			transform (mat4x4): The transform matrix.

		Returns:
			int: 0 on success, error code on failure.
		
		Examples:
		
		"""
        pass

    def volume(self):
        # type: () -> float
        """Gets volume of the object. 0.0 is returned for surface, wires and points.

		Returns:
			float: surface area

		Examples:
			a = myFace.area();
		"""
        pass

    def area(self):
        # type: () -> float
        """Gets surface area of the object (sum of the area of all faces). 0.0 is returned for wires and points.

		Returns:
			float: surface area

		Examples:
			a = myFace.area();
		"""
        pass

    def circumference(self):
        # type: () -> xyz
        """Gets circumference of the object. This is the sum of circumference of all loops

		Returns:
			float: circumference

		Examples:
			c = myFace.circumference();
		"""
        pass

    def centerOfGravity(self):
        # type: () -> xyz
        """Gets center of gravity of the object.

		Returns:
			xyz: center of gravity

		Examples:
		"""
        pass

    def momentsOfInertia(self):
        # type: () -> xyz[2]
        """Gets moments of inertia of the object.

		Returns:
			xyz[2]: x-axis, y-axis of moments of inertia

		Examples:
		"""
        pass

    def principleAxes(self):
        # type: () -> xyz[3]
        """Gets moments of principle axes of the object.

		Returns:
			xyz[3]: x-axis, y-axis, z-axis of principle axes

		Examples:
		"""
        pass

    def extents(self):
        # type: () -> xyz[2]
        """Gets the extents of the object in xyz cartesian coordinates.

		Returns:
			xyz[2]: min[0] and max[1] extents.

		Examples:
		"""
        pass

    def boundingBox(self):
        # type: () -> xyz[8]
        """Gets the bounding box coordinates in xyz cartesian coordinates.
			x	y	z
			min	min	min
			min	max	min
			max	max	min
			max	min	min
			min	min	max
			min	max	max
			max	max	max
			max	min	max
		Returns:
			xyz[8]: bounding box coordinates

		Examples:
		"""
        pass

    def topoType(self):
        # type: () -> str["point, wireClosed, wireOpen, surface, surfaceSolid, solid, mixed"]
        """Gets the topology type of the object.

		Returns:
			str: topology type of the object ["point, wireClosed, wireOpen, surface, surfaceSolid, solid, mixed"]

		Examples:
		"""
        pass

    def modelType(self):
        # type: () -> str["facetted, smooth"]
        """Gets the model type of the object.

		Returns:
			str: model type of the object ["facetted, smooth"]

		Examples:
		"""
        pass

    def objectTypeId(self):
        # type: () -> str
        """Gets the UUID of the object (parametric) type.

		Returns:
			str: UUID of object type

		Examples:
		"""
        pass

    def objectType(self):
        # type: () -> str
        """Gets the common name of the object (parametric) type.

		Returns:
			str: common name of object type

		Examples:
		"""
        pass

    def getLocalOrigin(self):
        # type: () -> xyz
        """Gets local origin of the object.

		Returns:
			xyz: local origin

		Examples:
		"""
        pass

    def setLocalOrigin(self, origin):
        # type: (origin) -> xyz
        """Sets the local origin of the object.

		Args:
			origin (xyz): The new local origin.

		Returns:
			int: 0 on success, error code on failure.

		Examples:
		"""
        pass

    def getLocalAxes(self):
        # type: () -> xyz[3]
        """Gets local axis vectors of the object.

		Returns:
			xyz: local axis vectors [x-axis, y-axi, z-axis]

		Examples:
		"""
        pass

    def setLocalAxes(self, axes):
        # type: (xyz[2]) ->int
        """Sets the local axis of the object. Z axis is calculated internally (cross of x-axis and y-axis)

		Args:
			axes (xyz[2]): The new local axis.

		Returns:
			int: 0 on success, error code on failure.

		Examples:
		"""
        pass

    def faceCount(self):
        # type: () -> int
        """Gets the number of faces in the object.

		Returns:
			int: number of faces in the object.

		Examples:
		"""
        pass

    def face(self):
        # type: () -> face
        """Gets first face of the object.

		Returns:
			face: first face in te object

		Examples:
		"""
        pass

    def faceList(self):
        # type: () -> [face]
        """Gets a list of faces of the object.

		Returns:
			face[]: list of faces of the object.

		Examples:
		"""
        pass

    def loopCount(self):
        # type: () -> int
        """Gets the number of loops in the object.

		Returns:
			int: number of loops in the object.

		Examples:

		"""
        pass

    def loop(self):
        # type: () -> loop
        """Gets first loop of the object.

		Returns:
			loop: first loop in the object

		Examples:
		"""
        pass

    def loopList(self):
        # type: () -> [loop]
        """Gets a list of loops of the object.

		Returns:
			loop[]: list of loops of the object.

		Examples:
		"""
        pass

    def edgeCount(self):
        # type: () -> int
        """Gets the number of edges in the object.

		Returns:
			int: number of edges in the object.

		Examples:
		"""
        pass

    def edge(self):
        # type: () -> edge
        """Gets first edge of the object.

		Returns:
			edge: first loop in the object

		Examples:
		"""
        pass

    def edgeList(self):
        # type: () -> [edge]
        """Gets a list of edges of the object.

		Returns:
			edge[]: list of edges of the object.

		Examples:
		"""
        pass

    def vertexCount(self):
        # type: () -> int
        """Gets the number of vertexes in the object.

		Returns:
			int: number of vertexes in the object.

		Examples:
		"""
        pass

    def vertex(self):
        # type: () -> vertex
        """Gets the first vertex of the object.

		Returns:
			vertex: first vertex in the object

		Examples:
		"""
        pass

    def vertexList(self):
        # type: () -> [xyz]
        """Gets a list of vertices of the object.

        Returns:
            xyz[]: list of vertices of the object.

        Examples:
        """
        pass

    def previous(self):
        # type: () -> object
        """Gets previous object in the project.

		Returns:
			object: previous object.

		Examples:

		"""
        pass

    def next(self):
        # type: () -> object
        """Gets next object in the project.

		Returns:
			object: next object.

		Examples:

		"""
        pass


class layer:
    """Layer
	
	"""

    def getName(self):
        # type: () -> str
        """Gets the layer name
		
		Returns:
			str: name
		
		Examples:
		
		"""
        pass

    def setName(self, name):
        # type: (str) -> int
        """Sets the layer name
		
		Args:
			name (`str`): The new name.
		
		Returns:
			int: 0 on success, error code on failure.
		
		Examples:
		
		"""
        pass

    def getVisible(self):
        # type: () -> int
        """Gets the layer visibility (0 off, 1 visible, 2 ghosted)

		Returns:
			int: visibility state.
		
		Examples:
		
		"""
        pass

    def setVisible(self, visibility):
        # type: (int) -> int
        """Sets the layer visibility (0 off, 1 visible, 2 ghosted)

		Args:
			visibility (int): The new visibility state.

		Returns:
			int: 0 on success, error code on failure.
		
		Examples:
		
		"""
        pass

    def getLock(self):
        # type: () -> int
        """Gets the layer lock state (0 unlocked, 1 locked)

		Returns:
			int: lock state.

		Examples:

		"""
        pass

    def setLock(self, lock):
        # type: (int) -> int
        """Sets the layer lock state (0 unlocked, 1 locked)

		Args:
			lock (int): The new lock state.

		Returns:
			int: 0 on success, error code on failure.

		Examples:

		"""
        pass

    def getSnap(self):
        # type: () -> int
        """Gets the layer snappable state (0 not-snapable, 1 snapable)

		Returns:
			int: snappable state.

		Examples:

		"""
        pass

    def setSnap(self, snapable):
        # type: (int) -> int
        """Sets the layer snapable state (0 not-snapable, 1 snapable)

		Args:
			snapable (int): The new snapable state.

		Returns:
			int: 0 on success, error code on failure.

		Examples:

		"""
        pass

    def previous(self):
        # type: () -> layer
        """Gets previous layer in the project.

		Returns:
			layer: previous layer.

		Examples:

		"""
        pass

    def next(self):
        # type: () -> layer
        """Gets next layer in the project.

		Returns:
			layer: next layer.

		Examples:

		"""
        pass

    def getTag(self):
        # type: () -> tag
        """Gets layers tag (unique id).

		Returns:
			tag: layers tag.

		Examples:

		"""
        pass


class view:
    """view
	
	"""

    def previous(self):
        # type: () -> view
        """Gets previous view in the project.

		Returns:
			view: previous view.

		Examples:

		"""
        pass

    def next(self):
        # type: () -> view
        """Gets next view in the project.

		Returns:
			view: next view.

		Examples:

		"""
        pass

    def getName(self):
        # type: () -> str
        """Gets the view name
		
		Returns:
			str: name
		
		Examples:
		
		"""
        pass

    def setName(self, name):
        # type: (str) -> int
        """Sets the view name
		
		Args:
			name (`str`): The new name.
		
		Returns:
			int: 0 on success, error code on failure.
		
		Examples:
		
		"""
        pass

    def getVisible(self):
        # type: () -> int
        """Gets the view visibility (0 off, 1 visible, 2 ghosted)

		Returns:
			int: visibility state.

		Examples:

		"""
        pass

    def setVisible(self, visibility):
        # type: (int) -> int
        """Sets the view visibility (0 off, 1 visible, 2 ghosted)

		Args:
			visibility (int): The new visibility state.

		Returns:
			int: 0 on success, error code on failure.

		Examples:

		"""
        pass

    def getLock(self):
        # type: () -> int
        """Gets the view lock state (0 unlocked, 1 locked)

		Returns:
			int: lock state.

		Examples:

		"""
        pass

    def setLock(self, lock):
        # type: (int) -> int
        """Sets the view lock state (0 unlocked, 1 locked)

		Args:
			lock (int): The new lock state.

		Returns:
			int: 0 on success, error code on failure.

		Examples:

		"""
        pass

    def getSnap(self):
        # type: () -> int
        """Gets the view snappable state (0 not-snapable, 1 snapable)

		Returns:
			int: snappable state.

		Examples:

		"""
        pass

    def setSnap(self, snapable):
        # type: (int) -> int
        """Sets the view snapable state (0 not-snapable, 1 snapable)

		Args:
			snapable (int): The new snapable state.

		Returns:
			int: 0 on success, error code on failure.

		Examples:

		"""
        pass

    def getPicked(self):
        # type: () -> bool
        """Checks if the view is picked in the UI.

		Returns:
			bool: True if picked, False otherwise

		Examples:

		"""
        pass

    def setPicked(self, picked):
        # type: (bool) -> int
        """Sets the view as picked in the UI

		Args:
			picked (bool): True to pick, False otherwise.

		Returns:
			int: 0 on success, error code on failure.

		 Examples:

		"""
        pass

    def move(self, translation):
        # type: (xyz) -> int
        """Move (translate) the view by an x,y,z distance.

		Args:
			translation (xyz): The world cartesian xyz distance to move the view by.

		Returns:
			int: 0 on success, error code on failure.

		Examples:

		"""
        pass

    def rotate(self, angle, origin, axis):
        # type: (float, xyz, int) -> int
        """Rotates the view by an angle about an optional origin and axis.

		Args:
			angle (float): The rotation angle.
			origin (xyz, optional): The origin point. Defaults to world origin(0.0, 0,0, 0.0) if not provided.
			axis (int, optional): The axis of rotation (0 = X, 1 = y, 2 = Z). Defaults to Z if not provided.

		Returns:
			int: 0 on success, error code on failure.

		Examples:
			myView.rotate(90.0)
			myView.rotate(180.0,axis=0)
		"""
        pass

    def scale(self, scale, origin):
        # type: (xyz, xyz) -> int
        """Scales the view about an optional origin.

		Args:
			scale (float): The xyz scale values.
			origin (xyz, optional): The origin point. Defaults to world origin(0.0, 0,0, 0.0) if not provided.

		Returns:
			int: 0 on success, error code on failure.

		Examples:
			myView.scale([2.0,2.0,1.0])
			xyz.x = 2.0;
			xyz.y = 2.0;
			xyz.z = 1.0;
			myView.scale(xyz)
		"""
        pass

    def transform(self, transform):
        # type: (mat4x4) -> int
        """transforms the view by a matrix

		Args:
			transform (mat4x4): The transform matrix.

		Returns:
			int: 0 on success, error code on failure.
		
		Examples:
		
		"""
        pass

    def kind(self):
        # type: (mat4x4) -> int
        """retrieves the kind of the view
		
		Returns:
			int: view kind
		
		Examples:
		
		"""
        pass

    def getType(self):
        # type: () -> int
        """WIP WIP
		
		Returns:
			int: WIP WIP
		
		Examples:
		
		"""
        pass

    def setType(self, parm1):
        # type: (int) -> int
        """WIP WIP
		
		Args:
			parm1 WIP WIPr.
		
		Returns:
			int: 0 on success, error code on failure.
		
		Examples:
		
		"""
        pass

    def getCenterOfInterest(self):
        # type: () -> xyz
        """Gets the center of interest (COI) for the view

		Returns:
			xyz: center of interest

		Examples:
		"""
        pass

    def setCenterOfInterest(self, coi):
        # type: (xyz) -> int
        """Sets the center of interest (COI) for the view

		Args:
			coi (xyz): The new center of interest.

		Returns:
			int: 0 on success, error code on failure.

		Examples:

		"""
        pass

    def getEyePoint(self):
        # type: () -> xyz
        """Gets the eye point (viewer position) for the view.

		Returns:
			xyz: eye point

		Examples:
		"""
        pass

    def setEyePoint(self, eye):
        # type: (xyz) -> int
        """Sets the eye point (viewer position) for the view.

		Args:
			eye (xyz): The new eye point.

		Returns:
			int: 0 on success, error code on failure.

		Examples:

		"""
        pass

    def getViewAngles(self):
        # type: () -> xyz
        """Gets the viewing angles for the view

		Returns:
			xyz: viewing angles

		Examples:
		"""
        pass

    def setViewAngles(self, eye):
        # type: (xyz) -> int
        """Sets the viewing angles for the view.

		Args:
			eye (xyz): The viewing angles.

		Returns:
			int: 0 on success, error code on failure.

		Examples:

		"""
        pass

    def getUpVector(self):
        # type: () -> xyz
        """Gets up vector for the view

		Returns:
			xyz: up vector

		Examples:
		"""
        pass

    def setUpVector(self, up):
        # type: (xyz) -> int
        """Sets the up vector for the view.

		Args:
			up (xyz): The up vector.

		Returns:
			int: 0 on success, error code on failure.

		Examples:

		"""
        pass

    def getClip(self):
        # type: () -> int
        """Gets the state of hither/yon clipping for the vew. 1 - clipped, 0 - not clipped

		Returns:
			int: clip state

		Examples:
		"""
        pass

    def setClip(self, clip):
        # type: (xyz) -> int
        """Sets the state of hither/yon clipping for the vew. 1 - clipped, 0 - not clipped.

		Args:
			clip (int): The new clip state.

		Returns:
			int: 0 on success, error code on failure.

		Examples:

		"""
        pass

    def getHither(self):
        # type: () -> float
        """Gets the distance of the hither (near) clipping plane from the eye point.

		Returns:
			float: hither distance

		Examples:
		"""
        pass

    def setHither(self, hither):
        # type: (float) -> int
        """Gets the distance of the hither (near) clipping plane from the eye point.

		Args:
			hither (float): hither distance.

		Returns:
			int: 0 on success, error code on failure.

		Examples:
		"""
        pass

    def getYon(self):
        # type: () -> float
        """Gets the distance of the yon (far) clipping plane from the eye point.

		Returns:
			float: yon distance

		Examples:
		"""
        pass

    def setYon(self, yon):
        # type: (float) -> int
        """Gets the distance of the yon (far) clipping plane from the eye point.

		Args:
			yon (float): yon distance.

		Returns:
			int: 0 on success, error code on failure.

		Examples:
		"""
        pass

    def getSpin(self):
        # type: () -> float
        """Gets view spin around the line of sight (eye->coi).

		Returns:
			float: spin around the line of sight

		Examples:
		"""
        pass

    def setSpin(self, spin):
        # type: (float) -> int
        """Gets view spin around the line of sight (eye->coi).

		Args:
			spin (float): spin around the line of sight.

		Returns:
			int: 0 on success, error code on failure.

		Examples:
		"""
        pass

    def getAxonometricProjection(self):
        # type: () -> int
        """Gets type of standard axonometric projection for the view. as follows
			0 - View is not a standard projection
			1 - top
			2 - bottom
			3 - left
			4 - right
			5 - back
			6 - front

		Returns:
			int: axonometric projection value

		Examples:
		"""
        pass

    def setAxonometricProjection(self, projection):
        # type: (int) -> int
        """Sets a standard axonometric projection for the view. as follows
			1 - top
			2 - bottom
			3 - left
			4 - right
			5 - back
			6 - front

		Args:
			projection (int): projection value.

		Returns:
			int: 0 on success, error code on failure.

		Examples:
		"""
        pass

    def getPerspectiveViewAngle(self):
        # type: () -> float
        """Gets the perspective view angle for the view.

		Returns:
			float: perspective view angle

		Examples:
		"""
        pass

    def setPerspectiveViewAngle(self, angle):
        # type: (float) -> int
        """Sets the perspective view angle for the view.

		Args:
			angle (float): perspective view angle.

		Returns:
			int: 0 on success, error code on failure.

		Examples:
		"""
        pass

    def getPerspectiveFocalLength(self):
        # type: () -> float
        """Gets the perspective focal length for the view.

		Returns:
			float: perspective focal length

		Examples:
		"""
        pass

    def setPerspectiveFocalLength(self):
        # type: (float) -> int
        """Sets the perspective focal length for the view.

		Args:
			angle (float): perspective focal length.

		Returns:
			int: 0 on success, error code on failure.

		Examples:
		"""
        pass

    def getObliqueAngle(self):
        # type: () -> float
        """Gets the oblique angle for the view.

        Returns:
            float: oblique angle

        Examples:
        """
        pass

    def setObliqueAngle(self, angle):
        # type: (float) -> int
        """Sets the oblique angle for the view.

		Args:
			angle (float): oblique angle.

		Returns:
			int: 0 on success, error code on failure.

		Examples:
		"""
        pass

    def getObliqueScale(self):
        # type: () -> float
        """Gets the oblique scale for the view.

        Returns:
            float: oblique scale

        Examples:
        """
        pass

    def setObliqueScale(self, scale):
        # type: (float) -> int
        """Sets the oblique scale for the view.

		Args:
			scale (float): oblique scale.

		Returns:
			int: 0 on success, error code on failure.

		Examples:
		"""
        pass

    def getIsometricAngles(self):
        # type: () -> xy
        """Gets the isometric angles for the view.

		Returns:
			xy: isometric angles

        Examples:
        """
        pass

    def setIsometricAngles(self, angles):
        # type: (xy) -> int
        """Sets the isometric angles for the view.

		Args:
			angles (float): isometric angles.

		Returns:
			int: 0 on success, error code on failure.

		Examples:
		"""
        pass

    def getIsometricScales(self):
        # type: () -> xy
        """Gets the isometric scales for the view.

        Returns:
            float: isometric scales

        Examples:
        """
        pass

    def setIsometricScales(self, scales):
        # type: (xy) -> int
        """Sets the isometric scales for the view.

		Args:
			scales (float): isometric scales.

		Returns:
			int: 0 on success, error code on failure.

		Examples:
		"""
        pass


class light:
    """light
	
	"""

    def previous(self):
        # type: () -> light
        """Gets previous light in the project.

		Returns:
			light: previous light.

		Examples:

		"""
        pass

    def next(self):
        # type: () -> light
        """Gets next light in the project.

		Returns:
			light: next light.

		Examples:

		"""
        pass

    def getName(self):
        # type: () -> str
        """Gets the light name
		
		Returns:
			str: name
		
		Examples:
		
		"""
        pass

    def setName(self, name):
        # type: (str) -> int
        """Sets the light name
		
		Args:
			name (`str`): The new name.

		Returns:
			int: 0 on success, error code on failure.
		
		Examples:
		
		"""
        pass

    def getVisible(self):
        # type: () -> int
        """Gets the light visibility (0 off, 1 visible, 2 ghosted)

		Returns:
			int: visibility state.

		Examples:

		"""
        pass

    def setVisible(self, visibility):
        # type: (int) -> int
        """Sets the light visibility (0 off, 1 visible, 2 ghosted)

		Args:
			visibility (int): The new visibility state.

		Returns:
			int: 0 on success, error code on failure.

		Examples:

		"""
        pass

    def getLock(self):
        # type: () -> int
        """Gets the light lock state (0 unlocked, 1 locked)

		Returns:
			int: lock state.

		Examples:

		"""
        pass

    def setLock(self, lock):
        # type: (int) -> int
        """Sets the light lock state (0 unlocked, 1 locked)

		Args:
			lock (int): The new lock state.

		Returns:
			int: 0 on success, error code on failure.

		Examples:

		"""
        pass

    def getSnap(self):
        # type: () -> int
        """Gets the light snappable state (0 not-snapable, 1 snapable)

		Returns:
			int: snappable state.

		Examples:

		"""
        pass

    def setSnap(self, snapable):
        # type: (int) -> int
        """Sets the light snapable state (0 not-snapable, 1 snapable)

		Args:
			snapable (int): The new snapable state.

		Returns:
			int: 0 on success, error code on failure.

		Examples:

		"""
        pass

    def getPicked(self):
        # type: () -> bool
        """Checks if the light is picked in the UI.

		Returns:
			bool: True if picked, False otherwise

		Examples:

		"""
        pass

    def setPicked(self, picked):
        # type: (bool) -> int
        """Sets the light as picked in the UI

		Args:
			picked (bool): True to pick, False otherwise.

		Returns:
			int: 0 on success, error code on failure.

		Examples:

		"""
        pass

    def getShadows(self):
        # type: () -> int
        """Gets the light cast shadow state (1 casts shadows, 0 does not casts shadows)

		Returns:
			int: cast shadow state.

		Examples:

		"""
        pass

    def setShadows(self, shadows):
        # type: (bool) -> int
        """Sets the light cast shadow state (1 casts shadows, 0 does not casts shadows)

		Args:
			shadows (bool): cast shadow state.

		Returns:
			int: 0 on success, error code on failure.

		Examples:

		"""
        pass

    def getShining(self):
        # type: () -> int
        """Gets the light shining state (1 shinning, 0 off)

		Returns:
			int:  shining state.

		Examples:

		"""
        pass

    def setShining(self, shining):
        # type: (bool) -> int
        """Sets the light shining state (1 shinning, 0 off)

		Args:
			shining (bool): shining state.

		Returns:
			int: 0 on success, error code on failure.

		Examples:

		"""
        pass

    def getColor(self):
        # type: () -> xyz
        """Gets the light color value (r, g, b)

		Returns:
			int:  light color.

		Examples:

		"""
        pass

    def setColor(self, color):
        # type: (xyz) -> int
        """Sets the light color value (r, g, b)

		Args:
			color (bool): shining state.

		Returns:
			int: 0 on success, error code on failure.

		Examples:

		"""
        pass

    def move(self, translation):
        # type: (xyz) -> int
        """Move (translate) the light by an x,y,z distance.

		Args:
			translation (xyz): The world cartesian xyz distance to move the view by.

		Returns:
			int: 0 on success, error code on failure.

		Examples:

		"""
        pass

    def rotate(self, angle, origin, axis):
        # type: (float, xyz, int) -> int
        """Rotates the light by an angle about an optional origin and axis.

		Args:
			angle (float): The rotation angle.
			origin (xyz, optional): The origin point. Defaults to world origin(0.0, 0,0, 0.0) if not provided.
			axis (int, optional): The axis of rotation (0 = X, 1 = y, 2 = Z). Defaults to Z if not provided.

		Returns:
			int: 0 on success, error code on failure.

		Examples:
			myView.rotate(90.0)
			myView.rotate(180.0,axis=0)
		"""
        pass

    def scale(self, scale, origin):
        # type: (xyz, xyz) -> int
        """Scales the light about an optional origin.

		Args:
			scale (float): The xyz scale values.
			origin (xyz, optional): The origin point. Defaults to world origin(0.0, 0,0, 0.0) if not provided.

		Returns:
			int: 0 on success, error code on failure.

		Examples:

		"""
        pass

    def transform(self, transform):
        # type: (mat4x4) -> int
        """transforms the light by a matrix

		Args:
			transform (mat4x4): The transform matrix.

		Returns:
			int: 0 on success, error code on failure.
		
		Examples:
		
		"""
        pass


class material:
    """material
	
	"""

    def getName(self):
        # type: () -> str
        """Gets the material name

		Returns:
			str: name
		
		Examples:
		
		"""
        pass

    def setName(self, name):
        # type: (str) -> int
        """Sets the material name
		
		Args:
			name (`str`): The new name.
		
		Returns:
			int: 0 on success, error code on failure.
		
		Examples:
		
		"""
        pass

    def previous(self):
        # type: () -> material
        """Gets previous material in the project.

		Returns:
			light: previous material.

		Examples:

		"""
        pass

    def next(self):
        # type: () -> material
        """Gets next material in the project.

		Returns:
			material: next material.

		Examples:

		"""
        pass

    def getTag(self):
        # type: () -> tag
        """Gets material tag (unique id).

		Returns:
			tag: material tag.

		Examples:

		"""
        pass


class uiPanel:
    """uiPanel
	
	"""

    def slider(self, id, name, value, min, max, parent, function):
        """Adds a slider to the UI.
		
		Args:
		
		Returns:
		
		Examples:
		
		"""
        pass

    def sliderEdit(self, id, name, value, min, max, parent, format):
        """Adds a slider with an text edit box to the UI.

		Args:

		Returns:
		
		Examples:
		
		"""
        pass

    def check(self, id, name, value, trueValue, falseValue, parent, function):
        """Adds a check box to the UI.

		Args:

		Returns:
		
		Examples:
		
		"""
        pass

    def radio(self, id, name, value, names, baseValue, border, direction, parent, function):
        """Adds a radio button box to the UI.

		Args:

		Returns:
		
		Examples:
		
		"""
        pass

    def menu(self, id, name, value, names, base, parent, function):
        """Adds a menu to the UI.

		Args:

		Returns:
		
		Examples:
		
		"""
        pass

    def label(self, id, name, border, direction, parent, function):
        """Adds a text label to the UI.

		Args:

		Returns:
		
		Examples:
		
		"""
        pass

    def group(self, id, border, direction, parent, function):
        """Adds a group to the UI.

		Args:

		Returns:
		
		Examples:
		
		"""
        pass

    def edit(self, id, name, value, min, max, format, parent, function):
        """Adds a text edit box to the UI.

		Args:

		Returns:
		
		Examples:
		
		"""
        pass

    def button(self, id, name, hitFunction, parent, function):
        """Adds a button to the UI.

		Args:

		Returns:
		
		Examples:
		
		"""
        pass

    def presentModal(self, newValueFunc, resetFunc, defaultFunc):
        """presents UI to the user in a modal (dialog) interface

		Args:

		Returns:
		
		Examples:
		
		"""
        pass

    def presentPalette(self, okFunc, cancelFunc, newValueFunc, resetFunc, defaultFunc, where):
        """presents UI to the user in a non-modal (palette) interface

		Args:

		Returns:
		
		Examples:
		
		"""
        pass

    def dismisss(self):
        """closes UI

		Args:

		Returns:
		
		Examples:
		
		"""
        pass

    def getValue(self, id):
        """retrieves the value from a UI element

		Args:

		Returns:
		
		Examples:
		
		"""
        pass


##### module functions

def newProject(name, path, fullPath):
    # type: (str, str, str) -> project
    """Creates a new Project
	
	Args:
		name (str, optional): Name of the new project. If not provided, the next Untitled - n name will be used.
		path (str, optional): Path to the directory where the file should be locked. If not provided, the Documnets directory will be used
		fullPath (str, optional): Full path (directory and file name) fo the project file. If this is provided, name and path are ignored.

	Returns:
		:rtype project
		project: Project reference successful, nil otherwise

	Examples:
		myProject = fz.newProject("bob")
		myProject = fz.newProject(fullPath='/Volumes/myStuff/bob.fmz')

	"""
    pass


def loadProject(name, path, fullPath):
    # type: (str, str, str) -> project
    """Loads an existing Project
	
	Args:
		name (str, optional): Name of the new project. If not provided, the next Untitled - n name will be used.
		path (str, optional): Path to the directory where the file should be locked. If not provided, the Documents directory will be used
		fullPath (str, optional): Full path (directory and file name) fo the project file. If this is provided, name and path are ignored.
	
	Returns:
		bool: True if successful, False otherwise
	
	Examples:
	@parm name Name of the new project. If not provided, the next Untitled - n name will be used
	@parm path
	@parm fullPath

	"""
    pass


def closeProject(project, save, ask):
    # type: (project, bool, bool) -> int
    """Closes a project with optional save and ask to save.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def getActiveProject():
    # type: () -> project
    """Gets the active project.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def setActiveProject(project):
    # type: (project) -> int
    """Sets the active project.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def getProjectList():
    # type: () -> [project]
    """Gets a list of all open projects.
	
	Returns:
	
	Examples:
	
	"""
    pass


def getProject(parm1):
    """Gets the project id'd by the tag.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def setRenderer(parm1):
    """Gets the project name
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def render(parm1):
    """Gets the project name
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def export(parm1):
    """Gets the project name
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def point(point, temp):
    # type: (xyz, int) -> object
    """Creates a point.
	
	Args:
	    point (xyz): Cartesian coordinate of point.
	    temp (bool optional): True - temporary object (not visible), false - (default) normal object.

	Returns:
		object: new object

	Examples:
	
        obj = fz.point(fz.xyz(48.0, 0.0, 0.0))
	"""
    pass


def pointCloud(points, temp):
    # type: ([xyz], int) -> object
    """Creates a point cloud.
	
	Args:
	    array of points (xyz): Cartesian coordinate of points.
	    temp (bool optional): True - temporary object (not visible), false - (default) normal object.
	Returns:
		object: new object

	Examples:
	    fzpy_poly_list.append(fz.xyz(48.0, 12.0, 1.0))
	    fzpy_poly_list.append(fz.xyz(48.0, 12.0, 12.0))
	    fzpy_poly_list.append(fz.xyz(48.0, 0.0,  12.0))
	    obj = fz.pointCloud(fzpy_poly_list)
	
	"""
    pass


def triangle(point1, point2, point3, temp):
    # type: (xyz, xyz, xyz, int) -> object
    """Creates a triangle.
	
	Args:
	    point1 (xyz): Cartesian coordinate of the first point.
	    point2 (xyz): Cartesian coordinate of the second point.
	    point3 (xyz): Cartesian coordinate of the third point.
        temp (bool optional): True - temporary object (not visible), false - (default) normal object.
	
	Returns:
		object: new object
	
	Examples:
	    p1 = fz.xyz(0.0, 0.0, 0.0)
        p2 = fz.xyz(0.0, 48.0, 0.0)
        p3 = fz.xyz(48.0,48.0, 0.0)
        obj = fz.triangle(p1, p2, p3)
	"""
    pass


def ngon(origin, nsides, radius, rotation, pattern, patternSize, patternRes, temp):
    # type: (xyz, int, float, float, int, float, float, float) -> object
    """Creates an ngon.
	
	Args:
	    origin (xyz): Cartesian coordinate of ngon origin point.
	    nsides (int) : number of sides
	    radius (float): radius of the ngon
	    rotation (xyz optional): ngon rotation , Cartesian coordinate.
	    pattern (int optional): ngon pattern type.
	    patternSize (double optional): ngon pattern size.
	    patternRes (int optional): ngon pattern resolution.
	    temp (bool optional): True - temporary object (not visible), false - (default) normal object.

	
	Returns:
		object: new object
	
	Examples:
	    origin = fz.xyz(0.0, 0.0, 0.0)
	    rot = fz.xyz(0.0, 0.0, 0.0)
	    obj = fz.ngon(origin, 5, 48.0, rot)
	"""
    pass


def cube(origin, dimensions, rotation, temp):
    # type: (xyz, xyz, xyz, int) -> object
    """Creates a cube primitive.
	
	Args:
	    origin (xyz): Cartesian coordinate of cube origin point.
        dimensions (xyz): Cartesian coordinates for the cube in all 3 dimensions.
        rotation(xyz optional): cube rotation , Cartesian coordinate.
        temp (bool optional): True - temporary object (not visible), false - (default) normal object.
	Returns:
		object: new object
	
	Examples:
	    origin = fz.xyz(0.0, 0.0, 0.0)
	    dim = fz.xyz(10.0, 10.0, 20.0)
	    obj = fz.cube(origin, dim)
	"""
    pass


def line(point1, point2, temp):
    # type: (xyz, xyz, int) -> object
    """Creates a straight line object.
	
	Args:
	    point1 (xyz): Cartesian coordinate of point.
	    point2 (xyz): Cartesian coordinate of point.
        temp (bool optional): True - temporary object (not visible), false - (default) normal object.
	
	Returns:
		object: new object
	
	Examples:
	    p1 = fz.xyz(0.0, 0.0, 0.0)
        p2 = fz.xyz(0.0, 48.0, 0.0)
        obj = fz.line(p1, p2)
	"""
    pass


def rectangle(origin, width, height, rotation, temp):
    # type: (xyz, double, double, xyz, int) -> object
    """Creates an object with a single rectangular face.
	
	Args:
	    origin (xyz): Cartesian coordinate of rectangle origin.
	    width (double): width of the rectangle
	    height (double): height of the rectangle
	    rotation(xyz optional): rectangle rotation , Cartesian coordinate.
	    temp (bool optional): True - temporary object (not visible), false - (default) normal object.
	
	Returns:
		object: new object
	
	Examples:
	    origin = fz.xyz(0.0, 0.0, 0.0)
	    width  =  10.0;
	    height =  20;
	    obj = fz.rectangle(origin, width, height)
	"""
    pass


def sphere(origin, radius, rotation, u, v, hasCap, capType, temp):
    # type: (xyz, xyz, xyz, float, float, int, int, int) -> object
    """Creates a sphere primitive.
	
	Args:
	    origin (xyz): Cartesian coordinate of sphere origin.
        radius (xyz): Cartesian coordinates for the sphere radius.
        rotation(xyz optional): sphere rotation , Cartesian coordinate.
        u(xyz optional): sphere u values , Cartesian coordinate.
        v(xyz optional): sphere v values , Cartesian coordinate.
        hasCap (int optional): indicates if the sphere has a cap or not.
        capType(int optional): indicates  the sphere  cap type.
        temp (bool optional): True - temporary object (not visible), false - (default) normal object.
	
	Returns:
		object: new object
	
	Examples:
	    org = fz.xyz(0.0, 0.0, 0.0)
	    rad = fz.xyz(6.0, 6.0, 6.0)
	    rot = fz.xyz(0.0, 0.0, 0.0)
	    obj = fz.sphere(org, rad, rot)
	
	"""
    pass


def cone(origin,radius, height,topRatio,rotation, u,doCap,capType,temp):
    # type: (xyz, xy, float, float, xyz, float, bool, int, int) -> object
    """Creates a cone primitive.
	
	Args:
	    origin (xyz): Cartesian coordinates of cone origin.
        radius (xy):  Cartesian coordinates of cone radius.
        height (float): height of the cone
        topRatio (float): topRatio of the cone
        rotation(xyz optional): cone rotation , Cartesian coordinate.
        u (float optional): u value of the cone
        hasCap (bool optional): TRUE if cone has cap
        doCap (int optional): cap type
        temp (bool optional): True - temporary object (not visible), false - (default) normal object.
	
	Returns:
		object: new object
	
	Examples:
	    rxry=fz.xy(10.0, 10.0)
        org = fz.xyz(0.0, 0.0, 0.0)
        rot = fz.xyz(0.0, 0.0, 0.0)
        obj = fz.cone(org, rxry, 20.0, rot, 1,cap=1)

	"""
    pass


def cylinder(origin, radius, rotation, u, hasCap, capType, temp):
    # type: (xyz, xyz, xyz, float, bool, int, int) -> object
    """Creates a cylinder primitive.
	
	Args:
	    origin (xyz): Cartesian coordinates of cylinder origin.
        radius (xyz):  Cartesian coordinates of cylinder radius.
        rotation(xyz): cylinder rotation , Cartesian coordinate.
        u (float optional): u value of the cylinder
        hasCap (bool optional): TRUE if cylinder has cap
        doCap (int optional): cap type
        temp (bool optional): True - temporary object (not visible), false - (default) normal object.
	
	Returns:
		object: new object
	
	Examples:
        org = fz.xyz(0.0, 0.0, 0.0)
        rot = fz.xyz(0.0, 0.0, 0.0)
        rad = fz.xyz(24.0, 24.0, 48.0)
        obj = fz.cylinder(org, rad, rot)
	"""
    pass


def torus(origin,majRadius,minRadius,rotation, u,v,hasCap,capType, temp):
    # type: (xyz, float, float, xyz, float, float, bool, int, int) -> object
    """Creates a torus primitive.
	
	Args:
	    origin (xyz): Cartesian coordinates of torus origin.
        majRadius (float):  value for torus majRadius.
        minRadius(xy): xy coordinates of torus minRadius.
        rotation(xyz optional): torus rotation , Cartesian coordinate.
        u (float optional): u value of the torus
        v (float optional): v value of the torus
        hasCap (bool optional): TRUE if torus has cap
        doCap (int optional): cap type
        temp (bool optional): True - temporary object (not visible), false - (default) normal object.
	Returns:
		object: new object
	
	Examples:
	    rxry=fz.xy(12.0, 12.0)
        org = fz.xyz(0.0, 0.0, 0.0)
        rot = fz.xyz(0.0, 0.0, 0.0)
        obj = fz.torus(org, 36.0, rxry, rot, v=fz.xy(0.0, 1.0),cap=1)
	
	"""
    pass


def polygon(points,closed,temp):
    # type: ([xyz], bool, int) -> object
    """Creates a polygon.
	
	Args:
	    points (xyz): Array of coordinate points
	    closed (bool): TRUE if polygon is closed, FALSE if it is open
	    temp (bool optional): True - temporary object (not visible), false - (default) normal object.
	Returns:
		object: new object
	
	Examples:
	
	"""
    pass


def spheroid(origin, radius, type, rotation, method, level, edgeSize, uRevolve, vRevolve, temp):
    # type: (xyz, xyz, int, float, int, int, float, float, float, int) -> object
    """Creates a spheroid.
	
	Args:
	    origin (xyz): Cartesian coordinates of spheroid origin.
        radius (xyz):  value for spheroid radius in x,y, and z.
        type (int ): spheroid type
        rotation(xyz): spheroid rotation , Cartesian coordinate.
        temp (bool optional): True - temporary object (not visible), false - (default) normal object.
	Returns:
		object: new object
	
	Examples:
	
	"""
    pass


def circle(origin, radius, rotation, modelType, temp):
    # type: (xyz, float, float, int, int) -> object
    """Creates a circle.
	
	Args:
	
	Returns:
		object: new object
	
	Examples:
	
	"""
    pass


def ellipse(origin, radius,rotation, modelType,temp):
    # type: (xyz, float, xyz, int, int) -> object
    """Creates a ellipse.

	Args:

	Returns:
		object: new object

	Examples:

	"""
    pass


def arc(origin,radius,startAngle, endAngle, clockWise, rotation, modelType, temp):
    # type: (xyz, float, float, float, bool, xyz, int, int) -> object
    """Creates a arc.
	
	Args:
	
	Returns:
		object: new object
	
	Examples:
	
	"""
    pass


def spline(points,closed,degree,knots,modelType,temp):
    # type: ([xyz], bool, float, [float], [float], int, int) -> object
    """Creates a spline.
	
	Args:
	
	Returns:
		object: new object
	
	Examples:
	
	"""
    pass


def splineThroughPoints(points, closed, modelType, temp):
    # type: ([xyz], bool, int, int) -> object
    """Creates a spline.
	
	Args:
	
	Returns:
		object: new object
	
	Examples:
	
	"""
    pass


def cubicBezier(points, closed, modelType, temp):
    # type: ([xyz], bool, int, int) -> object
    """Creates a cubic beziers.

	Args:

	Returns:
		object: new object

	Examples:

	"""
    pass


def multiSpline(points, degree, pointsPerSegment, closed, modelType, temp):
    # type: ([xyz], int, int, bool, int, int) -> object
    """Creates a multi Spline.

	Args:

	Returns:
		object: new object

	Examples:

	"""
    pass


def multiSplineThroughPts(points, pointsPerSegment, closed, modelType, temp):
    # type: ([xyz], int, bool, int, int) -> object
    """Creates a spline through points.
	
	Args:
	
	Returns:
		object: new object
	
	Examples:
	
	"""
    pass


def deriveObjectFromPart(part,temp):
    # type: (face|loop|edge|vertex, int) -> object
    """Creates a new object from a part of an existing object.
	
	Args:
	
	Returns:
		object: new object
	
	Examples:
	
	"""
    pass


def deriveObjectFromPartList(partList,temp):
    # type: ([face]|[loop]|[edge]|[vertex], int) -> object
    """Creates a new object from a list of existing parts existing object.
	
	Args:
	
	Returns:
		object: new object
	
	Examples:
	
	"""
    pass


def extrude(object,normal,distance,temp):
    # type: (object, xyz, float, int) -> object
    """Creates an extruded object from a source object.
	
	Args:
	
	Returns:
		object: new object
	
	Examples:
	
	"""
    pass


def converge(object,normal,distance,basePoint,temp):
    # type: (object, xyz, float, xyz, int) -> object
    """Creates an converged object from a source object.
	
	Args:
	
	Returns:
		object: new object
	
	Examples:
	
	"""
    pass


def wall2d(object,width,align,temp):
    # type: (object, float, xyz, int) -> object
    """Creates an 2d wall object object from a source object.

	Args:

	Returns:
		object: new object

	Examples:

	"""
    pass


def wall3d(object,width, normal, height, thicknessTop, thicknessBottom, align, closedTop, closedBottom, temp):
    # type: (object, float, xyz, float, float, float, int, bool, bool, int) -> object
    """Creates an 3d wall obect object from a source object.
	
	Args:
	
	Returns:
		object: new object
	
	Examples:
	
	"""
    pass


def revolve(parm1):
    """Creates a revolved obect object from a source object.
	
	Args:
	
	Returns:
		object: new object
	
	Examples:
	
	"""
    pass


def blend(parm1):
    """Creates a blended obect object from  2 source objects.
	
	Args:
	
	Returns:
		object: new object
	
	Examples:
	
	"""
    pass


def sweepAxial(parm1):
    """Creates a swept obect object from 1 source object and a path object.
	
	Args:
	
	Returns:
		object: new object
	
	Examples:
	
	"""
    pass


def sweep2source(parm1):
    """Creates a swept obect object from 2 source objects and a path object.
	
	Args:
	
	Returns:
		object: new object
	
	Examples:
	
	"""
    pass


def sweep2path(parm1):
    """Creates a swept object object from 1 source objects and a path object.
	
	Args:
	
	Returns:
		object: new object
	
	Examples:
	
	"""
    pass


def sweepBoundary(parm1):
    """Creates a boundary sweep object.
	
	Args:
	
	Returns:
		object: new object
	
	Examples:
	
	"""
    pass


def dsweepAngle(parm1):
    """Creates an draft sweep object by angle.
	
	Args:
	
	Returns:
		object: new object
	
	Examples:
	
	"""
    pass


def dsweepDist(parm1):
    """Creates an draft sweep object by distance.
	
	Args:
	
	Returns:
		object: new object
	
	Examples:
	
	"""
    pass


def dsweepPredef(parm1):
    """Creates an draft sweep object by distance.
	
	Args:
	
	Returns:
		object: new object
	
	Examples:
	
	"""
    pass


def dsweepCustom(parm1):
    """Creates an draft sweep object by function.
	
	Args:
	
	Returns:
		object: new object
	
	Examples:
	
	"""
    pass


def dsweepWire(parm1):
    """Creates an draft sweep object.
	
	Args:
	
	Returns:
		object: new object
	
	Examples:
	
	"""
    pass


def helixFromSource(parm1):
    """Creates an Helix object from a source object.
	
	Args:
	
	Returns:
		object: new object
	
	Examples:
	
	"""
    pass


def helixAoundAxis(parm1):
    """Creates an Helix object around axis.
	
	Args:
	
	Returns:
		object: new object
	
	Examples:
	
	"""
    pass


def helixAoundWire(parm1):
    """Creates an Helix object around wire path object.
	
	Args:
	
	Returns:
		object: new object
	
	Examples:
	
	"""
    pass


def parallelSingle(parm1):
    """Creates a single parallel offset object.
	
	Args:
	
	Returns:
		object: new object
	
	Examples:
	
	"""
    pass


def parallelWire(parm1):
    """Creates a single offset (parallel) wire object on the same plane.
	
	Args:
	
	Returns:
		object: new object
	
	Examples:
	
	"""
    pass


def parallelDouble(parm1):
    """Creates a double parallel offset object.
	
	Args:
	
	Returns:
		object: new object
	
	Examples:
	
	"""
    pass


def unfold(parm1):
    """Constructs an unfolded object from a source.
	
	Args:
	
	Returns:
		object: new object
	
	Examples:
	
	"""
    pass


def pathstair(parm1):
    """Constructs a stair object from a path.
	
	Args:
	
	Returns:
		object: new object
	
	Examples:
	
	"""
    pass


def singleHyperboloid(parm1):
    """Creates a Single hyperboloid primitive.
	
	Args:
	
	Returns:
		object: new object
	
	Examples:
	
	"""
    pass


def doubleHyperboloid(parm1):
    """Creates a Double hyperboloid primitive.
	
	Args:
	
	Returns:
		object: new object
	
	Examples:
	
	"""
    pass


def hyperbolicParaboloid(parm1):
    """Creates a Hyperbolic Paraboloid primitive.
	
	Args:
	
	Returns:
		object: new object
	
	Examples:
	
	"""
    pass


def morf(parm1):
    """Creates a Hyperbolic Paraboloid primitive.
	
	Args:
	
	Returns:
		object: new object
	
	Examples:
	
	"""
    pass


def delete(object):
    """Deletes an object from the project.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def union(object1, object2):
    """performs the union boolean operation on two objects or a list of objects
	
	Args:
	
	Returns:
		object: new object
	
	Examples:
	
	"""
    pass


def firstObject():
    """gets a reference to the first object in the project.

	Args:
	
	Returns:

	Examples:
	
	"""
    pass


def lastObject(parm1):
    """Gets a reference to the last object in the project.
	
	Args:
	
	Returns:

	Examples:
	
	"""
    pass


def objectList():
    """Gets a list all objects in the project.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def objectTypeIdList(type):
    """Gets a list all objects in the of a specific type.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def objectTypeList(parm1):
    """Gets a list all objects in the of a specific type.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def pickCount(parm1):
    """Count of all entities picked (selected) by the user
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def pickList(parm1):
    """List of all entities picked (selected) by the user
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def pick(entity):
    """Adds an entry to the pick list
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def pickAdd(entity):
    """Adds an entry to the pick list.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def pickRemove(entity):
    """removes an entry to the pick list.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def pickClear():
    """Clears the pick list.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass

def createLayer(name,visible,ghost,lock,snap):
    """Creates a new layer.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def deleteLayer(layer):
    """Deletes a layer.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def duplicateLayer(layer):
    """Duplicates a layer.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def getLayerCount():
    """Gets the number of layers in the active project.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def getLayer(tag):
    """Gets the layer reference from a tag.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def getFirstLayer():
    """Gets the layer reference for the first layer in the active project.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def getLastLayer():
    """Gets the layer reference for the last layer in the active project.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def getActiveLayer():
    """Gets the layer reference for the active layer in the active project.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def setActiveLayer(layer):
    """Sets the layer reference for the active layer in the active project.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def findLayer(layerName):
    """Finds the layer reference for the  layer iby name in the active project
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def sortLayers():
    """Sorts the layers.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def purgeLayers():
    """Removes unused layers.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def createWindowView(name):
    """Creates a vew from the current window.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def createCameraView(name):
    """Creates a vew from the current camera.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def deleteView(view):
    """Deletes a view from the active project.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def duplicateView(view):
    """Duplicates a view from the active project.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def viewCount():
    """Returns the number of views in the active project.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def view(tag):
    """Gets the view reference from a tag.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def firstView():
    """Gets the first view the project.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def lastView():
    """Gets the last view the project.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def getActiveView():
    """Gets the active view.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def setActiveView():
    """Sets the active view.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def findView(name):
    """Fins a view by its name.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def sortViews():
    """Sorts the views by name.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def swapViewOrder(view1, view2):
    """Swaps two views in the view list. Can use NULL of top or bottom.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def viewList():
    """Returns a list of all of the views in the active project.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def createLightDistant(brightness, origin,coi ,name):
    """Creates a Distant light
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def createLightAmbient(brightness, name):
    """Creates an Ambient light
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def createLightPoint(brightness, origin, coi, name):
    """Creates a Point light
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def createLightCone(brightness, origin,coi ,outerangle, innerangle, name):
    """Creates a Cone light
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def deleteLight(light):
    """Deletes a light.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def duplicateLight(light):
    """Duplicates a lightg.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def lightCount():
    """Gets the number of lights in the project.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def light(tag):
    """Gets the light id'd by the tag.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def firstLight():
    """Gets the first light i the projects light list.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def lastLight():
    """Gets the last light i the projects light list.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def sortLights():
    """Sorts the lights.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def lightList():
    """gets a list of all of the lights in the project.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def uiSelectFolder(prompt):
    """Displays the folder (directory) selection UI panel
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def random(min, max):
    """Calculates random number between min and max.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def distance(point1, point2):
    """Calculates the distance between two points.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def dot(vector1, vector2):
    """Calculates the dot product of two vectors.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def cross(vector1, vector2):
    """Calculates the cross product of two vectors.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def midPoint(point1, point2):
    """Calculates the midpoint of a line.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def interpolatePoint(point1, point2, distance):
    """Calculates a new point a distance from point1 along the line from point1 to point2.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def pointBetweenPoints(point1, point2, testpoint):
    """Evaluates if testpoint is on the line from point1-point .
	
	Args:

	Returns:
	
	Examples:
	
	"""
    pass


def isIdentityMatrix(mat):
    """Given a matrix, returns 1 if its an Identity matrix, else 0.
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def makeIdentityMatrix(mat):
    """Makes the matrix Identity
	
	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def multiplyMatrix(mat1, mat2):
    # type (mat, mat) -> mat
    """Multiplies two matrices and returns a new matrix.

	Args:
	
	Returns:
	
	Examples:
	
	"""
    pass


def invertMatrix(mat):
    # type (mat) -> mat
    """Inverts matrix

	Args:
		mat (mat4x4 | mat3x3) :  matrix to invert

	Returns:
	    mat: inverted matrix

	Examples:

	"""
    pass
